Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	LZMA utils alpha
Name: 		lzma-alpha
Version: 	4.42.2
Release: 	1
License: 	GPLv2+
Group:		Utils
#Source0:	http://tukaani.org/%{name}/lzma-%{version}alpha.tar.gz
SOurce0:	lzma-utils-20080429.tar.bz2
URL:		http://tukaani.org/%{name}/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	lzma = 4.42.2

%description
LZMA provides very high compression ratio and fast decompression. The
core of the LZMA utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other LZMA related
tools. This package only contains liblzma of the latest unstable 4.42
versionbranch of lzma, for your day-to-day work and the full toolset 
please use lzma 4.32.x !

%package devel
Summary: %{name} development headers.
Group: %{group}
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep

# check playload compression algorithm
# we need bz2 compression for compatibility reasons

if ( [ `grep -e "_source_payload" /usr/lib/rpm/macros | cut -f 2 -d "." ` == "lz
dio" ] || [ `grep -e "_binary_payload" /usr/lib/rpm/macros | cut -f 2 -d "." ` =
= "lzdio" ]  ); then
        echo  "This package must be compressed with bz2, please adjust your /usr
/lib/macro file accordingly ! "
        exit 1
fi

#%setup -q  -n lzma-%{version}alpha
%setup -q  -n lzma-utils

%build
#CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
#CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
%configure --with-pic --disable-rpath --enable-werror --disable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README THANKS COPYING.* ChangeLog AUTHORS
%exclude %{_bindir}/*
%exclude %{_mandir}/man1/*
# no shared libs to cut the dependencies short
# and prevent other programs from being linked
# against unstable lzma version
%{_libdir}/liblzma.a
%exclude %{_libdir}/liblzma.la
%exclude %{_datadir}/locale

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_includedir}/lzma
%exclude %{_pkgconfig}

%changelog
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.42.2-1
- Initial release
- alpha version / git 20080429
